KNOWLEDGE BASE

Error "MySQL versions older than 4.1.1. are not supported by this version of Tableau" Connecting to MySQL


Published: 01 Jul 2014
Last Modified Date: 27 Apr 2016

Issue

When connecting to MySQL database from Tableau Desktop for the Mac, the following error might occur:

An error occurred while communicating with data source <data source>
MySQL versions older than 4.1.1. are not supported by this version of Tableau.
Unable to connect to the server. Check that the server is running and that you have access privileges to the requested database.

Environment

  • Tableau Desktop 8.2.0
  • OS X 10.9.x
  • MySQL

Resolution

Download and install the MySQL 3.51.0 driver for Mac from the MySQL website.

Additional Information

Error is accompanied by the following errors in the Tableau Desktop log files:
 
<Timestamp>: 3583-e36e7 MSG
throw DataSourceException (type=NoDriver): Tableau expected to find driver version 3.51.0 to connect to the database server <Server IP>, but version 5.3.0 is installed.  Visit http://www.tableausoftware.com/drivers to download driver setup files.
[iODBC][Driver Manager]dlopen(ODBC Drivers, 6): image not found
[iODBC][Driver Manager]Specified driver could not be loaded
 
<Timestamp>: 3583-e36e7 MSG
throw DataSourceException (type=UnsupportedPlatform): MySQL versions older than 4.1.1 are not supported by this version of Tableau.
Did this article resolve the issue?